## fmradio-player 2010.03.20-2

=== Makefile ===
# No autotools madness here. Just a simple Makefile to satisfy dpkg-buildpackage


NAME=fmradio
ICON_FILE=maemo-data/fmradio.png
DESKTOP_FILE=maemo-data/fmradio.desktop
SERVICE_FILE=maemo-data/de.pycage.fmradio.service

# installation destination
LIBDIR=/opt/${NAME}

# files to copy into destination
COPY_FILES=com      \
	   components \
	   platforms \
	   theme    \
 	   ui       \
	   utils    \
	   values.py \
	   FMRadio.py


EXEC_FILE=FMRadio.py



_LIBDIR=${DESTDIR}${LIBDIR}
_DESKTOPDIR=${DESTDIR}/usr/share/applications/hildon
_SERVICEDIR=${DESTDIR}/usr/share/dbus-1/services
_ICONDIR=${DESTDIR}/usr/share/icons/hicolor/scalable/apps


clean:
	find . -name "*.pyc" -exec rm "{}" \;
	find . -name "*.pyo" -exec rm "{}" \;
	find . -name "*~" -exec rm "{}" \;
	@true

all:
	@true

py-compile:
	python2.5 -OO pycompile/compileall.py -x FMRadio.py ${_LIBDIR}; true
	find ${_LIBDIR} -name "*.py" | grep -v FMRadio.py | xargs rm; true

install-lib:
	mkdir -p ${_LIBDIR}
	cp -r ${COPY_FILES} ${_LIBDIR}
	chmod a+x ${_LIBDIR}/${EXEC_FILE}

install-maemo:
	mkdir -p ${_ICONDIR} ${_SERVICEDIR} ${_DESKTOPDIR}
	cp ${ICON_FILE} ${_ICONDIR}
	cp ${SERVICE_FILE} ${_SERVICEDIR}
	cp ${DESKTOP_FILE} ${_DESKTOPDIR}

purge:
	rm -rf ${PURGE_FILES}
	
install: install-lib install-maemo py-compile
	@true

=== debian/changelog ===
fmradio-player (2010.03.20-2) unstable; urgency=low

  Fixed UI bug #9629 (UI issues with "Add station" dialog)
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 20 Mar 2010 15:00:00 +0100

fmradio (2010.03.15) unstable; urgency=low

  Added D-Bus interface for external control
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 15 Mar 2010 20:15:00 +0100

fmradio (2010.03.04) unstable; urgency=low

  Reduced memory usage through dynamic scala rendering
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 04 Mar 2010 20:30:00 +0100

fmradio (2010.02.21) unstable; urgency=low

  Volume control on N800
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 21 Feb 2010 20:15:00 +0100

fmradio (2010.02.16) unstable; urgency=low

  Improved N800 compatibility
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 16 Feb 2010 19:00:00 +0100

fmradio (2010.02.11) unstable; urgency=low

  Fixed volume buttons bug (bug #8986)
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 11 Feb 2010 19:00:00 +0100
 

fmradio (2010.02.10) unstable; urgency=low

  Fixed bug where speaker output remains set after closing FM Radio (bug #8822)
  
  Fixed broken autoscanning
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Wed, 10 Feb 2010 18:45:00 +0100

fmradio (2010.01.26) unstable; urgency=low

  Plays sound in silent mode on OS >= 2009.51
  
  Fixed formatting of frequencies in stations list
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 26 Jan 2010 19:30:00 +0100

fmradio (2010.01.19) unstable; urgency=low

  Fixed stuck button pressing animation while scanning for stations
  
  Added support for decoding RDS EBU (table 1) encoded radio text
  (displays umlauts, etc. now for latin-based alphabets and greek)
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 19 Jan 2010 23:30:00 +0100

fmradio (2010.01.15) unstable; urgency=low

  Lowered stepping between frequencies from 100 KHz to 50 KHz
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Fri, 15 Jan 2010 20:30:00 +0100

fmradio (2010.01.14) unstable; urgency=low

  Graphical enhancements
  
  Implemented autoscanning for holding down the prev and next buttons
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 14 Jan 2010 20:30:00 +0100

fmradio (2009.12.19) unstable; urgency=low

  Fixed bug #7086 (FMRadio mutes speakers)
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 19 Dec 2009 13:30:00 +0100

fmradio (2009.12.13) unstable; urgency=low

  Less messing with mixer settings
  
  New application icon by Andrew Zhilin
  
  Bug fixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 13 Dec 2009 19:30:00 +0100

fmradio (2009.12.12) unstable; urgency=low

  Fixed behavior with offline mode

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 12 Dec 2009 17:30:00 +0100

fmradio (2009.12.08) unstable; urgency=low

  Removed Play/Pause button

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 08 Dec 2009 22:30:00 +0100

fmradio (2009.12.05) unstable; urgency=low

  Implemented some UI suggestions from Barcelona Long Weekend

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 05 Dec 2009 11:00:00 +0100

fmradio (2009.11.30) unstable; urgency=low

  Buttons for jumping between presets

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 30 Nov 2009 13:00:00 +0100

fmradio (2009.11.26) unstable; urgency=low

  Fixed mixer settings for disabling microphone

 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 26 Nov 2009 20:00:00 +0100

fmradio (2009.11.21) unstable; urgency=low

  RDS support (thanks to Sampo Savola for figuring out how this works!)

  Watch the com.nokia.policy decisions to find out when to interrupt the radio

  Bug fixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 21 Nov 2009 20:00:00 +0100

fmradio (2009.11.15) unstable; urgency=low

  Removed upgrade description from debian control file. downloads.maemo.org
  is buggy (https://bugs.maemo.org/show_bug.cgi?id=6187).

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 15 Nov 2009 18:45:00 +0100

fmradio (2009.11.14) unstable; urgency=low

  Turn off radio when answering the phone or making a call. This enables the
  microphone for phone calls, too

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 14 Nov 2009 13:45:00 +0100

fmradio (2009.11.7) unstable; urgency=low

  Buttons for scanning

  Show error message on driver or hardware problems
  
  Switch off microphone
  
  Headphone output goes unfiltered (because headphones don't require HP filter),
  resulting in better sound quality and longer battery life

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 07 Nov 2009 09:40:00 +0100

fmradio (2009.10.26-1) unstable; urgency=low

  New user interface

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 26 Oct 2009 19:20:00 +0100

fmradio (2009.10.12) unstable; urgency=low

  Fixed issue of remembering output status when headphones get disconnected
  
  Tell user to use headphones as antenna when attempting to play without
  headphones
  
  Volume control works for speaker output

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 12 Oct 2009 21:30:00 +0200

fmradio (2009.10.11) unstable; urgency=low

  Initial release

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 11 Oct 2009 20:45:00 +0200

=== debian/control ===
Source: fmradio-player
Section: user/multimedia
Priority: optional
Maintainer: Martin Grimme <martin.grimme@lintegra.de>
Build-Depends: debhelper (>= 5), python2.5
Standards-Version: 3.7.2

Package: fmradio-player
Architecture: any
Depends: python2.5, python2.5-gtk2, python2.5-gobject, python2.5-osso, python2.5-hildon, python2.5-gnome, python2.5-dbus
Description: Turn the N800 into a FM radio
 The headphones cable is the antenna. With this application you can tune into FM radio stations, just like in the old days before there was internet radio.
XB-Maemo-Display-Name: FM Radio Player
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=FM%20Radio
XB-Maemo-Icon-26: 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

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mediabox.sgml > mediabox.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fmradio-player.
	$(MAKE) DESTDIR=$(CURDIR)/debian/fmradio-player install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
